| Version: 3.1.5

Public Member Functions | Public Attributes | List of all members
wxHeaderButtonParams Struct Reference
Class List by Category » Graphics Device Interface (GDI)

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/renderer.h>`

## Detailed Description

This `struct` can optionally be used with wxRendererNative::DrawHeaderButton() to specify custom values used to draw the text or bitmap label.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxHeaderButtonParams ()

## Public Attributes
wxColour | m_arrowColour
wxColour | m_selectionColour
wxString | m_labelText
wxFont | m_labelFont
wxColour | m_labelColour
wxBitmap | m_labelBitmap
int | m_labelAlignment

## Constructor & Destructor Documentation

## ◆ wxHeaderButtonParams()

wxHeaderButtonParams::wxHeaderButtonParams | ( |  | ) |

## Member Data Documentation

## ◆ m_arrowColour

wxColour wxHeaderButtonParams::m_arrowColour

## ◆ m_labelAlignment

int wxHeaderButtonParams::m_labelAlignment

## ◆ m_labelBitmap

wxBitmap wxHeaderButtonParams::m_labelBitmap

## ◆ m_labelColour

wxColour wxHeaderButtonParams::m_labelColour

## ◆ m_labelFont

wxFont wxHeaderButtonParams::m_labelFont

## ◆ m_labelText

wxString wxHeaderButtonParams::m_labelText

## ◆ m_selectionColour

wxColour wxHeaderButtonParams::m_selectionColour